diff --git a/src/backend/executor/nodeBitmapHeapscan.c b/src/backend/executor/nodeBitmapHeapscan.c
index 19eb175..d240f9c 100644
--- a/src/backend/executor/nodeBitmapHeapscan.c
+++ b/src/backend/executor/nodeBitmapHeapscan.c
@@ -494,7 +494,7 @@ BitmapAdjustPrefetchIterator(BitmapHeapScanState *node,
 		SpinLockAcquire(&pstate->mutex);
 		if (pstate->prefetch_pages > 0)
 		{
-			node->prefetch_pages--;
+			pstate->prefetch_pages--;
 			SpinLockRelease(&pstate->mutex);
 		}
 		else
